udisks2 (2.11.2-1ubuntu1) stonking; urgency=low

  * Merge from Debian unstable. Remaining changes:
  * d/p/nvme-disk-size.patch:
    - use upstream candidate fix for getting the size of nvme drives
      note: the upstream patch was merged as PR 1457 with different content.
      It should be syncable when 2.11.90 branch is released

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 24 Aug 2026 09:50:19 +0200

udisks2 (2.11.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 2.11.2.
    - Fixes local privilege escalation via 'as-user' mount spoofing
      (CVE-2026-7867)

 -- Alberto Garcia <berto@igalia.com>  Thu, 06 Aug 2026 17:41:56 +0200

udisks2 (2.11.1-2ubuntu1) stonking; urgency=medium

  * Merge from Debian unstable (LP: #2153367), remaining changes:
  * d/p/nvme-disk-size.patch:
    - use upstream candidate fix for getting the size of nvme drives
  * Dropped patches CVE-2026-26103 and CVE-2026-26104 included upstream

 -- Graham Inggs <ginggs@ubuntu.com>  Sun, 12 Jul 2026 12:24:44 +0000

udisks2 (2.11.1-2) unstable; urgency=medium

  * Bump debhelper-compat to 14
  * Bump Standards-Version to 4.7.4
  * Revert "Skip MDRaid test as it depends on targetcli-fb"
  * Fix integration test test_exfat with exfatprogs >= 1.4.0 (Closes: #1141111)

 -- Michael Biebl <biebl@debian.org>  Wed, 01 Jul 2026 20:10:23 +0200

udisks2 (2.11.1-1) unstable; urgency=medium

  * New upstream version 2.11.1
    - Add missing polkit checks for RestoreEncryptedHeader() and
      HeaderBackup(). (CVE-2026-26103, CVE-2026-26104)

 -- Michael Biebl <biebl@debian.org>  Thu, 26 Feb 2026 16:32:10 +0100

udisks2 (2.11.0-2) unstable; urgency=medium

  [ Jeremy Bícha ]
  * Remove unnecessary Suggests: devhelp

  [ Michael Biebl ]
  * Remove redundant Priority and Rules-Requires-Root field
  * Bump Standards-Version to 4.7.3
  * Drop reisefsprogs from Suggests and autopkgtest Depends.
    ReiserFS support has been removed in Linux 6.13 and the reiserfsprogs
    package was removed from the archive accordingly.
  * Skip MDRaid test as it depends on targetcli-fb.
    The targetcli-fb package and its dependencies are currently not
    available in testing. See #1124263.

 -- Michael Biebl <biebl@debian.org>  Thu, 12 Feb 2026 17:49:24 +0100

udisks2 (2.11.0-1) unstable; urgency=medium

  * New upstream version 2.11.0
  * Bump minimum required version of libblockdev to >= 3.4
  * Drop patches, merged upstream
  * Update symbols file for libudisks2-0

 -- Michael Biebl <biebl@debian.org>  Tue, 18 Nov 2025 21:43:32 +0100

udisks2 (2.10.91-1ubuntu2) resolute; urgency=medium

  * SECURITY UPDATE: Missing polkit permission checks
    - debian/patches/CVE-2026-26103.patch: Add missing polkit check for
      RestoreEncryptedHeader().
    - debian/patches/CVE-2026-26104.patch: Add missing polkit check for
      HeaderBackup()
    - CVE-2026-26103
    - CVE-2026-26104

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 26 Feb 2026 13:05:58 -0500

udisks2 (2.10.91-1ubuntu1) resolute; urgency=medium

  * Merge with Debian unstable (lp: #2130110). Remaining changes:
  * d/p/nvme-disk-size.patch:
    - use upstream candidate fix for getting the size of nvme drives
  * Dropped CVE-2025-8067.patch included in the new version

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 31 Oct 2025 11:52:05 +0100

udisks2 (2.10.91-1) unstable; urgency=medium

  * New upstream version 2.10.91
  * Drop patches, merged upstream
  * Use /run/media instead of /media as mountpoint for removable media.
    This has several benefits like
    - Better support for r/o root file systems
    - Better alignment with other distros and upstream defaults
    - Not requiring special cleanup routines as /run is hosted on a tmpfs
    (Closes: #1074568)
  * tests: Do not use "echo -e" in tests.
    Patch cherry-picked from upstream Git.

 -- Michael Biebl <biebl@debian.org>  Wed, 03 Sep 2025 12:11:21 +0200

udisks2 (2.10.90-3.1) unstable; urgency=medium

  * Non-maintainer upload by the Security Team.
  * udiskslinuxmanager: Add lower bounds check to fd_index (CVE-2025-8067)

 -- Salvatore Bonaccorso <carnil@debian.org>  Wed, 20 Aug 2025 20:20:35 +0200

udisks2 (2.10.90-3) unstable; urgency=medium

  * Upload to unstable

 -- Michael Biebl <biebl@debian.org>  Fri, 15 Aug 2025 19:36:16 +0200

udisks2 (2.10.90-2) experimental; urgency=medium

  * Merge changes from debian/unstable
  * Rename debian-branch to debian/experimental
  * Drop Build-Depends on libgirepository1.0-dev.
    Bump the Build-Depends on gobject-introspection to (>= 1.80) and also
    drop the hard-coded gir1.2-* dependencies and rely on ${gir:Depends}
    instead.
    See https://lists.debian.org/debian-devel/2025/08/msg00150.html
  * Bump Standards-Version to 4.7.2

 -- Michael Biebl <biebl@debian.org>  Fri, 15 Aug 2025 13:29:11 +0200

udisks2 (2.10.90-1) experimental; urgency=medium

  * New upstream version 2.10.90
  * Drop patches, merged upstream
  * Add (Build-)Depends on libblockdev-smart.
    ATA SMART handling has been ported over to libblockdev.
  * Update symbols file for libudisks2-0
  * Add Build-Depends on gir1.2-gio-2.0-dev as suggested by dh_girepository
  * Add ${gir:Depends} and ${gir:Provides} to libudisks2-dev

 -- Michael Biebl <biebl@debian.org>  Thu, 03 Oct 2024 18:32:23 +0200

udisks2 (2.10.1-12.1ubuntu2) questing; urgency=medium

  * SECURITY UPDATE: DoS and possible information disclosure via OOB read
    - debian/patches/CVE-2025-8067.patch: add lower bounds check to
      fd_index in src/udiskslinuxmanager.c.
    - CVE-2025-8067

 -- Hlib Korzhynskyy <hlib.korzhynskyy@canonical.com>  Tue, 26 Aug 2025 09:45:41 -0230

udisks2 (2.10.1-12.1ubuntu1) questing; urgency=medium

  * Merge with Debian unstable. Remaining changes:
  * d/p/nvme-disk-size.patch:
    - use upstream candidate fix for getting the size of nvme drives

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 18 Jun 2025 07:49:17 -0400

udisks2 (2.10.1-12.1) unstable; urgency=high

  * Non-maintainer upload by the Security Team.
  * udiskslinuxfilesystemhelpers: Mount private mounts with 'nodev,nosuid'

 -- Salvatore Bonaccorso <carnil@debian.org>  Mon, 09 Jun 2025 16:29:29 +0200

udisks2 (2.10.1-12ubuntu1) questing; urgency=medium

  * Merge with Debian unstable (lp: #2112082). Remaining changes:
  * d/p/nvme-disk-size.patch:
    - use upstream candidate fix for getting the size of nvme drives

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 02 Jun 2025 13:40:02 +0200

udisks2 (2.10.1-12) unstable; urgency=medium

  * tests: Fix expected error message with util-linux 2.41.
    Patch cherry-picked from upstream Git. (Closes: #1098673)
  * Switch debian-branch to debian/unstable in gbp.conf

 -- Michael Biebl <biebl@debian.org>  Tue, 25 Feb 2025 12:57:07 +0100

udisks2 (2.10.1-11ubuntu2) plucky; urgency=medium

  * debian/control:
    - restore exfatprogs as a Recommends now that the security team
      approved the MIR

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 24 Jan 2025 22:18:10 +0100

udisks2 (2.10.1-11ubuntu1) plucky; urgency=medium

  * Merge with Debian, remaining changes:
    - debian/control: lower the Recommends on exfatprogs to a Suggests

  [ Nathan Pratta Teodosio ]
  * debian/patches/nvme-disk-size.patch: 
    - fix missing size for NVME disk (LP: #2038761).

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 08 Nov 2024 10:58:20 +0100

udisks2 (2.10.1-11) unstable; urgency=medium

  * Replace dependency on dbus with default-dbus-system-bus | dbus-system-bus.
    This makes it easier to swap in alternative implementations like
    dbus-broker.

 -- Michael Biebl <biebl@debian.org>  Fri, 27 Sep 2024 01:26:14 +0200

udisks2 (2.10.1-10) unstable; urgency=medium

  [ Alessandro Astone ]
  * debian: Add patch to fix tests with exfatprogs 1.2.5

 -- Michael Biebl <biebl@debian.org>  Wed, 14 Aug 2024 12:15:51 +0200

udisks2 (2.10.1-9) unstable; urgency=medium

  * Disable build path variation for reprotest on Salsa CI.
    In src/udisksmodulemanager.c the build path (BUILD_DIR) is embeded
    causing reprotest to fail.
  * Do not overwrite CPPFLAGS and use AM_CPPFLAGS instead.
    This ensures that all hardening build flags are correctly applied.
  * Disable test-crossbuild-arm64 on Salsa CI.
    This requires changes to gobject-introspection for it to actually work.
    See #1030223.

 -- Michael Biebl <biebl@debian.org>  Thu, 04 Jul 2024 17:52:56 +0200

udisks2 (2.10.1-8) unstable; urgency=medium

  * Enable standard salsa CI
  * Do not automatically mount unmaintained file systems.
    Ship a udev rules files named 70-insecure-fs.rules which sets the udev
    property UDISKS_AUTO to 0 for file systems that are marked as "Orphan"
    or "Odd Fixes" in the kernel MAINTAINERS file. Those are more at risk of
    having security-sensitive defects which could be exploited by a crafted
    file system.
    The list includes the following file systems:
    affs, ecryptfs, efs, hfs, hfsplus, jffs2, jfs, qnx6, sysv.
    As we require ID_FS_TYPE to be set, use priority 70 so it is ordered
    after 60-persistent-storage.rules.
    Thanks to Marco d'Itri (Closes: #1041552)
  * Bump Standards-Version to 4.7.0
  * Drop Ubuntu specific workaround for exfatprogs

 -- Michael Biebl <biebl@debian.org>  Wed, 03 Jul 2024 19:00:16 +0200

udisks2 (2.10.1-7) unstable; urgency=medium

  * integration-test: Adapt to the new libmount context error messages
    (Closes: #1070019)

 -- Michael Biebl <biebl@debian.org>  Tue, 30 Apr 2024 17:27:36 +0200

udisks2 (2.10.1-6) unstable; urgency=medium

  [ Martin Pitt ]
  * Don't build with -Wl,-Bsymbolic-functions.
    It breaks module loading, as it confuses GObject's type loading cache:
    "cannot register existing type 'UDisksDaemon'".
    Ubuntu enables this linker flag by default, no-op for Debian.
    (LP: #2040488)

  [ Michael Biebl ]
  * Drop python3-distutils Depends from debian/tests/control.
    No longer needed since 2.10.0. (Closes: #1065991)
  * Build-depend on pkgconf instead of pkg-config

 -- Michael Biebl <biebl@debian.org>  Mon, 11 Mar 2024 23:19:45 +0100

udisks2 (2.10.1-5) unstable; urgency=medium

  * tests: Fix targetcli_config.json.
    Not all attributes are available anymore in newer kernel versions.

 -- Michael Biebl <biebl@debian.org>  Wed, 10 Jan 2024 12:28:58 +0100

udisks2 (2.10.1-4) unstable; urgency=medium

  * Stop moving files from /usr/sbin to /sbin.
    With merged-/usr being mandatory, this is no longer necessary.

 -- Michael Biebl <biebl@debian.org>  Mon, 27 Nov 2023 05:40:54 +0100

udisks2 (2.10.1-3) unstable; urgency=medium

  * Replace udev Build-Depends with systemd-dev.
    The new systemd-dev package ships udev.pc and systemd.pc which provides
    the paths for udevdir/systemdsystemunitdir/tmpfilesdir.

 -- Michael Biebl <biebl@debian.org>  Mon, 20 Nov 2023 23:51:36 +0100

udisks2 (2.10.1-2) unstable; urgency=medium

  * Move systemd services files and udev rules to /usr.
    Add a corresponding versioned Build-Depends on debhelper (>= 13.11.6) to
    ensure we have a recent enough dh_installsystemd.

 -- Michael Biebl <biebl@debian.org>  Sat, 21 Oct 2023 14:39:24 +0200

udisks2 (2.10.1-1) unstable; urgency=medium

  * New upstream version 2.10.1
    - Limit getting filesystem size only to Ext and XFS
      (Closes: #1043022, #1040836)
    - Use ID_FS_SIZE for filesystems that are not known to report
      ID_FS_LASTBLOCK (Closes: #1041774)

 -- Michael Biebl <biebl@debian.org>  Tue, 12 Sep 2023 14:47:10 +0200

udisks2 (2.10.0-5) unstable; urgency=medium

  * Remove libblockdev-crypto2 from test dependencies.
    It has been replaced by libblockdev-crypto3, but since libblockdev-crypto
    is no longer an optional dependency, udisks2 already depends on it, so an
    explicit test dependency is no longer needed.
    (Closes: #1042794)

 -- Michael Biebl <biebl@debian.org>  Tue, 01 Aug 2023 08:20:32 +0200

udisks2 (2.10.0-4) unstable; urgency=medium

  * Drop obsolete --disable-vdo configure switch as well
  * udiskslinuxloop: Avoid warnings on empty loop devices (Closes: #1041649)

 -- Michael Biebl <biebl@debian.org>  Sun, 23 Jul 2023 22:02:00 +0200

udisks2 (2.10.0-3) unstable; urgency=medium

  * Update libblockdev-mdraid2 to libblockdev-mdraid3 (Closes: #1040797)
  * Bump libblockdev-{crypto3,mdraid3,nvme3} to Depends.
    Fixes a crash in udisksd if those plugins are missing. (Closes: #1040793)

 -- Michael Biebl <biebl@debian.org>  Mon, 10 Jul 2023 23:36:46 +0200

udisks2 (2.10.0-2) unstable; urgency=medium

  * Upload to unstable

 -- Michael Biebl <biebl@debian.org>  Mon, 10 Jul 2023 09:22:10 +0200

udisks2 (2.10.0-1) experimental; urgency=medium

  * New upstream version 2.10.0
  * Drop patches, merged upstream
  * Install new zsh completion file
  * Drop obsolete configure switches
  * Drop udisks2-bcache and udisks2-zram subpackages.
    The kbd and vdo libblockdev plugins were removed and so were zram,
    bcache and vdo udisks modules.
  * Update (Build-)Depends
    - Bump libblockdev-*-dev to (>= 3.0)
    - Bump libglib2.0-dev to (>= 2.68)
    - Drop libblockdev-kbd-dev, no longer exits in version 3.0
    - Add libblockdev-nvme-dev for NVME support
    - Add libblkid-dev
    - Update libblockdev-* Depends/Recommends for the soversion bump from 2 to 3
    - Add new Recommends libblockdev-nvme3 to udisks2
  * Update symbols file for libudisks2-0.
    Drop bcache and zram related symbols. Those were only used internally,
    so we get away without a soname bump.
  * Bump Standards-Version to 4.6.2
  * Add strictly versioned dependency between udisks2 and libudisks2-0.
    udisks2 and libudisks2-0 should always be in sync.

 -- Michael Biebl <biebl@debian.org>  Fri, 07 Jul 2023 21:39:17 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog libudisks2-0`.
